Subject: bug#15785: Problem with incrementing date when clock goes back

From: Samuel Penn <[email-masked]>
Date: Fri, 1 Nov 2013 16:54:08 +0000 (GMT)

Eric Blake wrote: 
> On 11/01/2013 09:21 AM, Samuel Penn wrote:
> > 
> > The "date" command seems to have a problem when the clock goes
> > back.
> > Last Sunday (27th October 2013), the time changed from BST to GMT,
> > so we had a day with 25 hours in it.
> 
> Yep.  And it is a FAQ that 25-hour days mess with relative date
> calculations:
> https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#The-date-command-is-not-working-right_002e

> The FAQ also suggests basing your computations around noon rather
> than midnight, so that even the fuzz of daylight savings won't get in the
> way of you landing in the correct day.

I did have a skim through that, but I didn't see the "tomorrow"
issue mentioned for DST changes.

Setting to Noon does mean you lose the current time, in the case
when you want to preserve time (as best as possible) and just
change the day.

It does feel very wrong that "tomorrow" doesn't always give 
tomorrow. It would seem better to give an unexpected time in this
case, rather than an unexpected day. IMO.

> Hence, I'm leaving this bug open a bit longer (even though
> it is just one of many bug reports on the theme that typically appear
> twice a year).

Hmm, I wonder why that is.

Okay, thanks for taking the time to respond.

-- 
Samuel Penn
Software Engineer
Perforce Software

--------------------------------------------------------------------------------
This email and any files transmitted with it are confidential and intended 
solely for the use of the individual or entity to whom they are addressed. If 
you have received this email in error please notify the system manager. Please 
note that any views or opinions presented in this email are solely those of the 
author and do not necessarily represent those of Perforce Software. Finally, 
the recipient should check this email and any attachments for the presence of 
viruses. Perforce Software accepts no liability for any damage caused by any 
virus transmitted by this email.

Perforce Software UK Ltd is registered in England and Wales as company no. 
3816019 at the following address: West Forest Gate, Wellington Road, Wokingham,
RG40 2AT, UK
--------------------------------------------------------------------------------